namespace Records.Nested;

internal class UsingNestedRecords
{
    public static void Use()
    {
        var ian = new Person("Jan", "niebieski");
        var gina = new Person("Regina", "zielony");
        var ian2 = new Person("Jan", "niebieski");
        var gina2 = new Person("Rina", "zielony");
        var r1 = new Relation(ian, gina, "siostra");
        var r2 = new Relation(gina, ian, "brat");
        var r3 = new Relation(ian2, gina2, "siostra");

        Console.WriteLine(r1);
        Console.WriteLine(r2);
        Console.WriteLine(r3);
        Console.WriteLine(r1 == r2);
        Console.WriteLine(r1 == r3);
        Console.WriteLine(r2 == r3);
    }
}
